Subject: bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Apr 2016 09:08:05 +0300

> Cc: [email-masked]
> From: Clément Pit--Claudel <[email-masked]>
> Date: Sat, 23 Apr 2016 18:33:13 -0400
> 
> As a user, I would like to have a way to globally configure how long tooltips produced by Emacs are displayed.
> At the moment, Emacs does not provide such a default. tooltip-hide-delay is close, but it does not cover all tooltips.
> 
> As a user, I don't like it to have to customize every package that use tooltips to just to ensure a consistent default.

I understand, thanks.  But to me, such a global value makes very
little sense, because tooltips can be used for many different features
that don't necessary display short helpful text.  Having a single
value for all the possible use cases is IMO not a good customization
design, as it can never be a "one fits all" value anyway.

Once again, the current hard-coded value is not a global default, it's
the last resort that is clearly not meant to be used except in very
rare situations.  Developers of features that use tooltips via direct
calls to x-show-tip are encouraged to invest some serious thought into
how they want this aspect be customizable by their users, and provide
defcustom's as appropriate.  Alternatively, they could use
tooltip-show, as the documentation suggests, in which case the
defcustom's already present in tooltip.el will do.